/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import zero.json.Json;

import groovy.rainmaker.logging.*;
import com.ibm.websphere.rainmaker.auditing.*;

def onList() {
    def filter = [:];
    zlist('/request/params').each {
        def parts = it.tokenize('/');
        if(parts.size()>2) {
            def name = parts[2];
            filter[name] = zget(it);
        }
    }

   	request.headers.out.'Content-Type' = 'application/vnd.ms-excel';
    request.headers.out.'Content-Disposition' = 'inline; filename=audit.xls';
    // set these headers to avoid caching issues with IE over SSL
    request.headers.out.Expires = '0';
    request.headers.out.Pragma = 'cache';
    request.headers.out.'Cache-Control' = 'private';


    request.json.output = AuditDataHelper.getAuditDataInJSON(filter, false);
    request.view = "widgets/appliance/reportXLS.gt";
    render();
}

