/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2012. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/


dojo.provide('javascript.widgets.GenericDialog');

dojo.declare('javascript.widgets.GenericDialog', dijit.Dialog, {   

	postCreate: function(){
		this.inherited(arguments);
		dojo.style(this.titleBar, "display", "none");
		dojo.style(this.containerNode, "border", "none");
		dojo.style(this.domNode, "left", "0");
		dojo.style(this.domNode, "top", "0");
		
		dojo.addClass(this.domNode, "modal-dialog");
		dojo.addClass(this.domNode, "default"); //Make font the same as other dialogs
	},
	
	//make the background the same color as the other dialogs
	show: function(){
		this.inherited(arguments);
		dojo.removeClass(dijit._underlay.domNode, "dijitDialogUnderlayWrapper");
		dojo.addClass(dijit._underlay.domNode, "page-overlay");
		dojo.style(dijit._underlay.domNode, "opacity", "0.25");
	}

});
