/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
dojo.provide('javascript.widgets.TaskDetailView');
dojo.require('xsa.tasks.widgets.dashboard.TasksViewConfirmDialog');
dojo.require('javascript.widgets.DetailView');

dojo.declare('javascript.widgets.TaskDetailView', javascript.widgets.DetailView, {   
	deleteTaskText : null,
	
	setDeleteTaskText: function(text) {
		this.deleteTaskText = text;
	},

    _onDeleteResponse: function(response) {
    	console.log("TaskDetailView, onDeleteReponse", response);
        this.dialog.hide();
        this.showDefault();
    	console.log("_onDeleteResponse", response, this.deleteTaskText);
    	
   		var taskId = response.taskId;
       	this.dialog = new xsa.tasks.widgets.dashboard.TasksViewConfirmDialog('tasks-dialog', this.deleteTaskText, taskId);
        this.dialog.show();
    }
    
});
