import zero.core.context.GlobalContext;
import zero.json.Json;

def onList() {
    def names = GlobalContext.zlist("/storage/chartspecs", false)
    def rv    = []

    names.each() {
        rv << GlobalContext.zget("/storage/chartspecs/${it}")
    }

    request.json.output = rv
    request.view = 'JSON'
    render()
}

def onRetrieve() {
    def name = request.params.chartspecId[]
    def rv   = GlobalContext.zget("/storage/chartspecs/${name}")

    if (rv == null) {
        request.status = 404
    } else {
        request.json.output = rv
        request.view = 'JSON'
        render()
    }
}

def onPostMember() {
    def req = Json.decode(request.input[])

    GlobalContext.zput("/storage/chartspecs/${request.params.chartspecId[]}", req)

    request.status = 201
}

def onUpdate() {
    onPostMember()
}

def onDelete() {
    def name = request.params.chartspecId[]

    if (name != null && name.size() > 0) {
        GlobalContext.zdelete("/storage/chartspecs/${name}", true)
    }
}
    

